let chineseNameRegex = /^(?:[\u4e00-\u9fa5·]{2,16})$/;
export default {
    topChangePwdConfig: [
        {
            prop: 'oldPwd', type: 'password', label: '原密码',
            use: ['changePwd'],
            rules: [
                { required: true, message: '请输入原密码', trigger: 'blur' }
            ]
        },
        {
            prop: 'pwd', type: 'password', label: '新密码',
            use: ['changePwd'],
        },
        {
            prop: 'repwd', type: 'password', label: '确认密码',
            use: ['changePwd'],
        },
    ],
    topUserInfoConfig: [
        {
            prop: 'userName', type: 'input', label: '姓名',
            use: ['userInfo'],
            rules: [
                { required: true, pattern: chineseNameRegex, message: '请输入中文姓名', trigger: 'blur' }
            ]
        },
        {
            prop: 'phone', type: 'input', label: '常用联系电话',
            use: ['userInfo'],
            rules: [
                { required: true, message: '请输入常用联系电话', trigger: 'blur' }
            ]
        },
    ],
    topDeptConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            label: '地区详细', slotName: 'deptLinkName',
            use: ['table']
        },
    ],
    loginConfig: [
        {
            slotName: 'header',
            use: ['form']
        },
        {
            prop: 'loginName', type: 'input',
            use: ['form'],
            placeholder: '账号',
            rules: [
                { required: true, message: '请输入账号', trigger: 'blur' }
            ]
        },
        {
            prop: 'loginPwd', type: 'password',
            use: ['form'],
            placeholder: '密码',
            rules: [
                { required: true, message: '请输入密码', trigger: 'blur' }
            ]
        },
    ],
    menuConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '菜单名称', type: 'input',
            use: ['search']
        },

        {
            prop: 'name', label: '菜单名称', type: 'input',
            use: ['table', 'form'],
            rules: [
                { required: true, message: '请输入菜单名称', trigger: 'blur' }
            ]
        },
        {
            prop: 'address', label: '访问地址', type: 'input',
            use: ['table', 'form'],
            rules: [
                { required: true, message: '请输入访问地址', trigger: 'blur' }
            ],
        },
        {
            prop: 'icon', label: '图标', type: 'input',
            use: ['table', 'form']
        },
        {
            prop: 'order', label: '排序', type: 'input',
            use: ['table', 'form']
        },
        {
            label: '操作', slotName: 'logic',
            width: '210',
            use: ['table']
        },

        {
            prop: 'fid', label: '父级节点', type: 'select',
            data: [],
            use: ['form'],
            rules: [
                { required: true, message: '请选择父级节点', trigger: 'change' }
            ]
        },
    ],
    roleConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '角色名称', type: 'input',
            use: ['search']
        },

        {
            prop: 'name', label: '角色名称', type: 'input',
            use: ['table'],
        },
        {
            label: '操作', slotName: 'logic',
            width: '210',
            use: ['table']
        },
    ],
    fileConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'fileName', label: '文件名', type: 'tag',
            use: ['table', 'form'],
        },
        {
            prop: 'time', label: '更新时间', type: 'tag',
            use: ['table', 'form'], timeFormatter: true
        },
        {
            label: '操作', slotName: 'logic',
            width: '210',
            use: ['table']
        },

        {
            label: '上传文件', prop: 'file', type: 'file',
            use: ['form'], fileType: 'docx',
            fileTypeErrorMsg: '上传文件只能是docx 格式!'
        },
    ],
    dictConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'name', label: '字典[项]名称', type: 'input',
            use: ['table', 'form'],
            rules: [
                { required: true, message: '请输入字典[项]名称', trigger: 'blur' }
            ]
        },
        {
            prop: 'key', label: 'key', type: 'input',
            use: ['table', 'form'],
        },
        {
            prop: 'order', label: '排序', type: 'input',
            use: ['table', 'form']
        },
        {
            label: '操作', slotName: 'logic',
            width: '210',
            use: ['table']
        },
    ],
    deptConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'name', label: '地区名称', type: 'input',
            use: ['table', 'form'],
            rules: [
                { required: true, message: '请输入地区名称', trigger: 'blur' }
            ]
        },
        {
            prop: 'code', label: '地区编码', type: 'input',
            use: ['table', 'form'],
        },
        {
            label: '操作', slotName: 'logic',
            width: '500',
            use: ['table']
        },
    ],
    userConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            width: '70',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '账号名称', type: 'input',
            use: ['search']
        },

        {
            prop: 'loginName', label: '账号', type: 'input', disabled: true,
            width: '150',
            use: ['table', 'form'],
        },
        {
            prop: 'dept1.name', label: '省', type: 'input',
            width: '70',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            label: '操作', slotName: 'logic',
            width: '300',
            fixed: 'right',
            use: ['table']
        },

        {
            prop: 'userName', label: '姓名', type: 'input',
            use: ['form'],
            rules: [
                { required: true, pattern: chineseNameRegex, message: '请输入中文姓名', trigger: 'blur' }
            ],
        },
        {
            prop: 'phone', label: '常用联系电话', type: 'input',
            use: ['form'],
            rules: [
                { required: true, message: '请输入常用联系电话', trigger: 'blur' },
            ]
        },

        {
            prop: 'deptId',
            rules: [
                { required: true, message: '请选择地区', trigger: ['change'] },
            ]
        },
    ],
    collectionUserConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '账号名称', type: 'input',
            use: ['search']
        },
        {
            prop: 'accoutStatus', label: '采集员状态', type: 'select',
            data: [
                { id: '0', label: '未认证' },
                { id: '1', label: '已认证未登录' },
                { id: '2', label: '已认证已登录' },
            ],
            use: ['search']
        },
        {
            prop: 'loginName', label: '账号', type: 'input', disabled: true,
            width: '150',
            use: ['table', 'form'],
        },
        {
            prop: 'dept1.name', label: '省', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            label: '公众号状态', slotName: 'openId',
            width: '100',
            use: ['table']
        },
        {
            label: '小程序状态', slotName: 'appletsId',
            width: '100',
            use: ['table']
        },
        // {
        //     label: '账号状态', slotName: 'openId',
        //     use: ['table']
        // },
        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '420',
            use: ['table']
        },

        {
            prop: 'userName', label: '姓名', type: 'input',
            use: ['form'],
            rules: [
                { required: true, pattern: chineseNameRegex, message: '请输入中文姓名', trigger: 'blur' }
            ],
        },
        {
            prop: 'sex', label: '性别', type: 'select',
            use: ['form'],
            data: [{ label: "男", id: "男" }, { label: "女", id: "女" }],
            rules: [
                { required: true, message: '请选择性别', trigger: 'change' },
            ]
        },
        {
            prop: 'company', label: '所在单位', type: 'input',
            use: ['form'],
            rules: [
                { required: true, message: '请输入所在单位', trigger: 'blur' },
            ]
        },
        {
            prop: 'job', label: '职务', type: 'input',
            use: ['form'],
            rules: [
                { required: true, message: '请输入职务', trigger: 'blur' },
            ]
        },
        {
            prop: 'politicalOutlook', label: '政治面貌', type: 'select',
            use: ['form'],
            data: [{ label: "中共党员", id: "中共党员" }, { label: "群众", id: "群众" }],
            rules: [
                { required: true, message: '请选择政治面貌', trigger: 'change' },
            ]
        },
        {
            prop: 'phone', label: '常用联系电话', type: 'input',
            use: ['form'],
            rules: [
                { required: true, message: '请输入常用联系电话', trigger: 'blur' },
            ]
        },
        {
            prop: 'file', label: '认证文件', type: 'upload',
            use: ['form'],
        },

        {
            prop: 'deptId',
            rules: [
                { required: true, message: '选择到 村（居）民委员会 一级方可创建采集员', trigger: 'change' },
            ]
        },
        {
            prop: 'userNum',
            rules: [
                {
                    required: true, type: 'number', trigger: 'blur',
                    message: '请输入数字值'
                },
                {
                    type: 'number', min: 0, max: 20, trigger: 'blur',
                    message: '请输入正确的用户数量，每次批量添加采集员的数量不能超过20'
                }
            ]
        },
    ],
    noticeConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            width: '180',
            use: ['table'],
        },
        {
            prop: 'searchtitle', label: '通知标题', type: 'input',
            use: ['search']
        },

        {
            prop: 'status', label: '通知选项', type: 'select',
            data: [
                { name: "我发的通知", id: "1" },
                { name: "可查阅通知", id: "2" }
            ],
            //仅仅单选下拉添加了这个属性
            clearable:true,
            use: ['search']
        },
        {
            prop: 'title', label: '通知标题', type: 'input',disabled: true,width: '180',
            use: ['table','form'],
            rules: [
                { required: true, message: '请输入通知标题', trigger: 'blur' }
            ]
        },

        {
            prop: 'content', label: '通知内容', type: 'textarea',disabled: true,
            use: ['table','form'],
            rules: [
                { required: true, message: '请输入通知内容', trigger: 'blur' }
            ]
        },
        {
            prop: 'date',label: '创建时间',width: '120',
            use: ['table']
        },
        {
            label: '操作', slotName: 'logic',
            width: '280',
            use: ['table']
        }
    ],
    hellonoticeConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            width: '280',
            use: ['table'],
        },
        {
            prop: 'searchtitle', label: '欢迎语', type: 'input',
            use: ['search']
        },
        {
            prop: 'title', label: '欢迎语', type: 'input',
            use: ['table','form'],
            rules: [
                { required: true, message: '请输入欢迎语', trigger: 'blur' }
            ]
        },
        {
            label: '操作', slotName: 'logic',
            width: '280',
            use: ['table']
        }
    ],
    bannerConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            width: '280',
            use: ['table'],
        },
        {
            prop: 'file', label: '轮播图片', type: 'upload',
            use: ['form'],
        },
        {
            prop: 'order',
            rules: [
                {
                    required: true, type: 'number', trigger: 'blur',
                    message: '请输入数字值'
                }
            ]
        },
        {
            label: '图片', slotName: 'urls',
            use: ['table']
        },
        {
            label: '操作', slotName: 'logic',
            width: '280',
            use: ['table']
        }
    ],
    valueConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
            width: '100',
        },
        {
            prop: 'queryName', label: '巡访账号', type: 'input',
            use: ['search']
        },
        {
            prop: 'userName', label: '巡访员姓名', type: 'input',
            use: ['search']
        },

        {
            prop: 'loginName', label: '巡访账号', type: 'input',
            use: ['table'],
        },
        {
            prop: 'userName', label: '巡访员', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept', label: '现居地址', type: 'input',width:'300',
            use: ['table'],
        },
        {
            prop: 'valueInfoCount', label: '采集数据通过审核的数量',
            use: ['table'],
        },
        {
            prop: 'valueVisitCount', label: '巡访次数',
            use: ['table'],
        },
        {
            label: '累计积分', slotName: 'value',
            use: ['table']
        },
        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '200',
            use: ['table']
        },

    ],
    visitConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '巡访者账号', type: 'input',
            use: ['search']
        },
        {
            prop: 'oldName', label: '巡访老人姓名', type: 'input',fixed: 'left',
            use: ['search']
        },
        {
            prop: 'startTime', label: '开始时间', type: 'date',
            use: ['search'],
        },
        {
            prop: 'endTime', label: '结束时间', type: 'date1',
            use: ['search'],
        },
        {
            // prop: 'userid.loginName',
            slotName: 'loginName',
            label: '巡访者账号', type: 'input',fixed: 'left',width:'150',
            use: ['table'],
        },
        {
            // prop: 'oldInfo',
            slotName: 'oldInfo',
            label: '巡访老人', type: 'input',
            use: ['table'],
        },
        {
            prop: 'oldIdNumber', label: '巡访老人身份证号', type: 'input',width:'200',
            use: ['table'],
        },
        {
            prop: 'demand', label: '老人需求说明', type: 'input',width:'300',
            use: ['table'],
        },
        {
            prop: 'visitMessage', label: '巡访备注说明', type: 'input',width:'300',
            use: ['table'],
        },
        {
            prop: 'visitTime', label: '巡访时间', type: 'input',width:'200',
            use: ['table'], timeFormatter: true,
        },
        {
            prop: 'visitLocation', label: '巡访位置', type: 'input',width:'300',
            use: ['table'],
        },
        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '250',
            use: ['table']
        },
    ],
    careOldConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'oldName', label: '老人姓名', type: 'input',fixed: 'left',
            use: ['search']
        },
        {
            prop: 'visitStatus', label: '巡访情况', type: 'select',
            data: [
                { name: "已探访", id: true },
                { name: "未探访", id: false }
            ],
            //仅仅单选下拉添加了这个属性
            clearable:true,
            use: ['search']
        },
        {
            prop: 'startTime', label: '开始时间', type: 'date',
            use: ['search'],
        },
        {
            prop: 'endTime', label: '结束时间', type: 'date1',
            use: ['search'],
        },
        {
            prop: 'name',
            label: '老人姓名', type: 'input',
            use: ['table'],
        },
        {
            prop: 'sex',
            label: '性别', type: 'input',
            use: ['table'],
        },
        {
            prop: 'idNumber', label: '老人身份证号', type: 'input',width:'200',
            use: ['table'],
        },
        {
            prop: 'dept',
            label: '地址', type: 'input',width:'400',
            use: ['table'],
        },
        {
            prop: 'count',
            label: '巡访次数', type: 'input',
            use: ['table'],
        },

        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '250',
            use: ['table']
        },
    ],
    //紧急通知
    UrgentNoticeConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'managerName', label: '审阅管理员账号', type: 'input',fixed: 'left',width:'130',
            use: ['table','search']
        },
        {
            prop: 'userName', label: '采集者账号', type: 'input',width:'130',
            use: ['table','search'],
        },
        {
            prop: 'oldName', label: '老人姓名', type: 'input',
            use: ['table','search']
        },
        {
            prop: 'dept1.name', label: '省', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',
            width: '150',
            use: ['table'],
        },
        {
            prop: 'createTime', label: '创建时间', type: 'input',width:'150',
            use: ['table'], timeFormatter: true,
        },
        {
            prop: 'startTime', label: '开始时间', type: 'date',
            use: ['search'],
        },
        {
            prop: 'endTime', label: '结束时间', type: 'date1',
            use: ['search'],
        },
        {
            label: '处理情况', slotName: 'state',type: 'select', prop: 'status',fixed: 'right',
            data: [
                { name: "未审阅", id: "0" },
                { name: "已处理", id: "1" },
                { name: "不予处理", id: "2" },
               ],
            width: '200',
            use: ['table','search']
        },
        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '260',
            use: ['table']
        },
    ],
    infoConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'cjname', label: '采集员账号', type: 'input',
            use: ['search']
        },
        {
            prop: 'status', label: '采集状态', type: 'select',
            data: [
                { name: "未完成", id: "0" }, { name: "填全未审", id: "1" },
                { name: "审核中", id: "2" }, { name: "审核完成", id: "3" },
                { name: "审核失败", id: "4" }],
            use: ['search']
        },
        {
            prop: 'name', label: '老人姓名', type: 'input',
            fixed: 'left',
            use: ['search', 'table']
        },
        {
            prop: 'phone', label: '老人联系电话', type: 'input',
            use: ['search']
        },
        {
            prop: 'age', label: '老人年龄', type: 'select',
            data: [
                { id: "-60", name: "60周岁以下" },
                { id: "60", name: "60周岁以上" },
                { id: "65", name: "65周岁以上" },
                { id: "70", name: "70周岁以上" },
                { id: "80", name: "80周岁以上" },
                { id: "90", name: "90周岁以上" },
                { id: "100", name: "100周岁以上" },
            ],
            use: ['search']
        },
        {
            prop: 'oldType', label: '老年人类别', type: 'multipleSelect',
            data: [
                { id: '农村留守老年人', name: "农村留守老年人" },
                { id: '分散供养特困老年人', name: "分散供养特困老年人" },
                { id: '计划生育特殊家庭老人', name: "计划生育特殊家庭老人" },
                { id: '空巢老年人', name: "空巢老年人" },
                { id: '独居老年人', name: "独居老年人" },
                { id: '重残老人', name: "重残老人" },
                { id: '高龄老人', name: "高龄老人" },
                { id: '居家老年人', name: "居家老年人" },
            ],
            use: ['search']
        },
        {
            prop: 'ability', label: '老人能力情况', type: 'select',
            data: [
                { id: '完全自理', name: "完全自理" },
                { id: '半失能', name: "半失能（部分自理）" },
                { id: '失能', name: "失能" },
            ],
            use: ['search']
        },
        {
            prop: 'demand', label: '关爱服务需求', type: 'multipleSelect',
            data: [
                { id: '生活照料', name: "生活照料" },
                { id: '生产帮助', name: "生产帮助" },
                { id: '精神慰藉', name: "精神慰藉" },
                { id: '医疗保健', name: "医疗保健" },
                { id: '权益维护', name: "权益维护" },
                { id: '安全监护', name: "安全监护" },
                { id: '文化娱乐', name: "文化娱乐" },
                { id: '紧急救助', name: "紧急救助" },
                { id: '其它', name: "其它" },
            ],
            use: ['search']
        },
        // {
        //     prop: 'online', label: '离线采集', type: 'select',
        //     data: [
        //         {id: 'true', name: "否"},
        //         {id: 'false', name: "是"},
        //
        //     ],
        //     use: ['search']
        // },

        {
            prop: 'sex', label: '老人性别', type: 'input',
            use: ['table'],
        },
        {
            prop: 'nation', label: '民族', type: 'input',
            use: ['table'],
        },
        {
            prop: 'idNumber', label: '身份证号', type: 'input',
            width: 170,
            use: ['table', 'search'],
        },
        {
            slotName: 'birthday', label: '年龄',
            use: ['table'],
        },
        {
            prop: 'phone', label: '联系电话', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'nativePlace', label: '户籍地址', type: 'input',
            width: 350,
            use: ['table'],
        },
        {
            prop: 'nativePlaceExt', label: '户籍地址详细', type: 'input',
            width: 350,
            use: ['table'],
        },
        {
            prop: 'isSameWithAddress', label: '是否户籍地址和现居地址一致', type: 'input',
            width: 250,
            use: ['table'],
        },
        {
            prop: 'address', label: '现居地址', type: 'input',
            width: 350,
            use: ['table'],
        },
        {
            prop: 'addressExt', label: '现居地址详情', type: 'input',
            width: 350,
            use: ['table'],
        },
        {
            prop: 'partnerState', label: '婚姻及配偶情况', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'partnerName', label: '配偶姓名', type: 'input',
            use: ['table'],
        },
        {
            prop: 'partnerIdNumber', label: '配偶身份证号', type: 'input',
            width: 170,
            use: ['table'],
        },
        {
            prop: 'health', label: '健康状况', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'disabilityCategory', label: '残疾类别', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'disabilityLevel', label: '残疾等级', type: 'input',
            use: ['table'],
        },
        {
            prop: 'ability', label: '老年人能力状况', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'livingCondition', label: '生活经济状况', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'sourceOfIncome', label: '收入来源', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'sourceOfIncomeExt', label: '其他收入来源', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'income', label: '本人上年度可支配收入', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'rescueState', label: '家庭救助帮扶情况', type: 'input',
            width: 400,
            use: ['table'],
        },
        {
            prop: 'rescueStateExt', label: '其他救助', type: 'input',
            use: ['table'],
        },
        {
            prop: 'isLoss', label: '是否为失独家庭', type: 'input',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'accompany', label: '陪伴居住情况', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'lookAfter', label: '日常生活照料人', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'mainLookName', label: '主要照料人姓名', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'mainLookSex', label: '主要照料人性别', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'mainLookPhone', label: '主要照料人电话', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'demand', label: '关爱服务需求', type: 'input',
            width: 200,
            use: ['table'],
        },
        {
            prop: 'oldType', label: '老年人类别', type: 'input',
            width: 400,
            use: ['table'],
        },
        {
            prop: 'childrenNum', label: '子女数量', type: 'input',
            use: ['table'],
        },
        //代号001
        {
            label: '是否有其他赡养人', slotName: 'otherInfo',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'dept1.name', label: '省', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'userid.loginName', label: '采集员', type: 'input',
            width: 150,
            use: ['table'],
        },
        {
            prop: 'time', label: '采集时间', type: 'input',
            width: 200,
            use: ['table'], timeFormatter: true
        },
        {
            label: '状态', slotName: 'status',
            fixed: 'right',
            use: ['table']
        },
        {
            prop: 'isDeath',label: '老人状态', slotName: 'isDeath',type: 'select',
            data: [
                { id: 0, name: "存在" },
                { id: 1, name: "死亡" },
            ],
            use: ['table','search']
        },
        {
            prop: 'partyMember',label: '是否是党员', slotName: 'partyMember',type: 'select',
            data: [
                { id: 0, name: "否" },
                { id: 1, name: "是" },
            ],
            width: 100,
            use: ['table','search']
        },
        {
            prop: 'ownerId', label: '是否是自主填报数据', slotName: 'ownerId', type: 'select',
            data: [
                { id:'false', name: "否" },
                { id:'true', name: "是" },
            ],
            use: ['search']
        },
        {
            label: '审核与操作', slotName: 'logic',
            width: 337, fixed: 'right',
            use: ['table']
        },
        {
            prop: 'startTime', label: '开始时间', type: 'date',
            use: ['search'],
        },
        {
            prop: 'endTime', label: '结束时间', type: 'date1',
            use: ['search'],
        },

    ],
    infoSiFtingConfig: [
        {
            prop: '_num', label: '序号', width: 200,
            use: ['table'],
        },
        {
            prop: '_id', label: '身份证号', type: 'input',
            width: 260,
            use: ['table'],
        },
        {
            prop: 'count', label: '个数', type: 'input',
            width: 200,
            use: ['table'],
        },
    ],
    integralChartScreening: [
        {
            prop: 'dept1.name', label: '省', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',
            use: ['table'],
        },

    ],
    logConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'loginName', label: '登录人', type: 'input',width:'130',fixed: 'left',
            use: ['table','search'],
        },
        // {
        //     prop: 'type', label: '操作类型', type: 'input',
        //     use: ['table'],
        // },
        // {
        //     prop: 'detail', label: '操作详情', type: 'input',
        //     use: ['table']
        // },
        {
            prop: 'ipAddress', label: 'IP地址', type: 'input',width:'150',
            use: ['table']
        },
        {
            label: '来源', type: 'input',slotName: 'state',
            use: ['table']
        },
        {
            prop: 'dept1.name', label: '省', type: 'input',
            use: ['table'],
        },
        {
            prop: 'dept2.name', label: '地市', type: 'input',width:'150',
            use: ['table'],
        },
        {
            prop: 'dept3.name', label: '县（市、区）', type: 'input',width:'150',
            use: ['table'],
        },
        {
            prop: 'dept4.name', label: '乡镇（街道）', type: 'input',width:'150',
            use: ['table'],
        },
        {
            prop: 'dept5.name', label: '村（居）民委员会', type: 'input',width:'150',
            use: ['table'],
        },
        {
            prop: 'time', label: '创建时间', type: 'input',fixed: 'right',
            width: 200,
            use: ['table'], timeFormatter: true
        },
        {
            label: '操作', slotName: 'logic',fixed: 'right',
            width: '100',
            use: ['table']
        },
        {
            prop: 'state', label: '来源', type: 'select',
            data: [
                { name: "电脑端", id: "PC" }, { name: "小程序", id: "Applets" },
                { name: "公众号", id: "WeiXin" }],
            use: ['search']
        },
        {
            prop: 'startTime', label: '开始时间', type: 'date',
            use: ['search'],
        },
        {
            prop: 'endTime', label: '结束时间', type: 'date1',
            use: ['search'],
        },
    ],
    familyConfig: [
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'queryName', label: '老人姓名', type: 'input',
            fixed: 'left',
            use: ['search']
        },
        {
            prop: 'oldInfo', label: '老人姓名', type: 'input',
            use: ['table'],
        },
        {
            prop: 'oldIdNumber', label: '老人身份证号', type: 'input',width:'200',
            use: ['table'],
        },
        {
            prop: 'dept', label: '位置信息', type: 'input',width:'400',
            use: ['table'],
        },
        {
            prop: 'loginName', label: '巡访者账号', type: 'input',
            use: ['table'],
        },
        {
            prop: 'userName', label: '巡访者姓名', type: 'input',
            use: ['table'],
        },
        {
            label: '绑定人数', slotName: 'number',
            use: ['table']
        },
    ],
    feedbackConfig:[
        {
            prop: '_num', label: '序号', fixed: 'left',
            use: ['table'],
        },
        {
            prop: 'userName', label: '建议人', type: 'input',
            use: ['table','search'],
        },
        {
            prop: 'content', label: '建议内容', type: 'input',
            use: ['table']
        },
        {
            prop: 'time', label: '创建时间', type: 'input',
            width: 200,
            use: ['table'], timeFormatter: true
        },
        {
            label: '操作', slotName: 'logic',
            use: ['table']
        },
    ]
}
